<!--
  - OpenCraft -- tools to aid developing and hosting free software projects
  - Copyright (C) 2017-2021 OpenCraft <contact@opencraft.com>
  -
  - This program is free software: you can redistribute it and/or modify
  - it under the terms of the GNU Affero General Public License as
  - published by the Free Software Foundation, either version 3 of the
  - License, or (at your option) any later version.
  -
  - This program is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  - GNU Affero General Public License for more details.
  -
  - You should have received a copy of the GNU Affero General Public License
  - along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -
-->

{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <base href="{{ site.domain }}">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" type="text/css" href="{% static 'vendor/css/bootstrap.min.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'default/css/default.css' %}"/>
  </head>
  <body>
    <div class="container">
      <div class="invoice">
        <header>
          <div class="row">
            <div class="col-xs-6">
              <h1><strong>{{ invoice.provider }}</strong></h1>
              {% if invoice.provider.occupation %}
                <h4>{{ invoice.provider.occupation }}</h4>
              {% endif %}
            </div>
            <div id="invoice-metadata" class="col-xs-6">
              <span id="invoice-number">Invoice Number: {{ invoice.number }}</span><br>
              <span id="invoice-created">Created: {{ invoice.date|date:"F jS, Y" }}</span><br>
              <span id="invoice-billing-dates">Billed for {{ invoice.billing_start_date|date:"F jS, Y" }} to {{ invoice.billing_end_date|date:"F jS, Y" }}</span><br>
              <span id="invoice-due">Due: {{ invoice.due_date|date:"F jS, Y" }}</span>
            </div>
          </div>
          <div class="row">
            {% for user_type, user in users %}
              <div class="col-xs-6">
                <div id="{{ user_type }}-details">
                  <h5 class="user-header"><strong>{{ user_type|upper }}</strong></h5>
                  <span class="user-name">{{ user }}</span><br>
                  <span class="user-address-line-1">{{ user.address.address_line1 }}</span><br>
                  {% if user.address.address_line2 %}
                    <span class="user-address-line-2">{{ user.address.address_line2 }}</span><br>
                  {% endif %}
                  <span class="user-city">{{ user.address.city }}</span>,
                  {% if user.address.state %}
                    <span class="user-state">{{ user.address.state }}</span>,
                  {% endif %}
                  <span class="user-zipcode">{{ user.address.zipcode }}</span><br>
                  <span class="user-country">{{ user.address.country.name }}</span>
                  {% if user.vat %}
                    <br><span class="user-vat">VAT number: {{ user.vat }}</span>
                  {% endif %}
                </div>
              </div>
            {% endfor %}
          </div>
          {% if invoice.template.extra_text %}
            <div class="row">
              <div id="extra" class="col-xs-12">
                <h5 class="extra-header"><strong>EXTRA</strong></h5>
                <p id="extra-text">{{ invoice.template.extra_text|linebreaks }}</p>
              </div>
            </div>
          {% endif %}
        </header>

        <main>
          <table id="line-items" class="table table-striped table-condensed" cellpadding="0" cellspacing="0">
            <tr>
              <th scope="col" class="column column-key">Key</th>
              <th scope="col" class="column column-name">Name</th>
              <th scope="col" class="column column-quantity">Quantity</th>
              <th scope="col" class="column column-price">Price</th>
              <th scope="col" class="column column-taxes">Taxes</th>
              <th scope="col" class="column column-total">Total</th>
            </tr>

            <tbody>
              {% for line_item in line_items %}
                <tr class="item">
                  <th scope="row" class="column column-key">{{ line_item.key }}</th>
                  <td class="column column-name">{{ line_item.name }}</td>
                  <td class="column column-quantity">{{ line_item.quantity|floatformat:2 }}</td>
                  <td class="column column-price">{{ line_item.price|floatformat:2 }} {{ currency }}</td>
                  <td class="column column-taxes">
                    {% for tax in line_item.applied_taxes %}
                        {{ tax }}<br/>
                    {% endfor %}
                  </td>
                  <td class="column column-total">{{ line_item.total|floatformat:2 }} {{ currency }}</td>
                </tr>
              {% endfor %}
            </tbody>

            <tr class="total">
              <td colspan="2" class="column column-key column-name"></td>
              <td class="column column-quantity">{{ invoice.total_quantity|floatformat:2 }}</td>
              <td class="column column-price"></td>
              <td class="column column-taxes"></td>
              <td class="column column-total">{{ invoice.total_cost|floatformat:2 }} {{ currency }}</td>
            </tr>
          </table>
        </main>

        <footer>
          <div class="row">
            <div id="extra-image" class="col-xs-12">
              {% if invoice.template.extra_image %}
                <img id="extra-image-img" src="{{ invoice.template.extra_image.url }}">
              {% endif %}
            </div>
          </div>
        </footer>
      </div>
    </div>
  </body>
</html>
